import params from "$utils/tool/params";

export default {

    created(){

        if (this.$route) {

            let resultParams = Object.assign({},this.$route.query,this.$route.params);

            if (resultParams.u) {
                resultParams = Object.assign(resultParams,params.decodeParams(resultParams.u));
                delete resultParams.u;
            }

            this.$params =resultParams;

        }

    }

}